import { ThemeProvider } from '@mui/system';
import React from 'react';

import {
    FiveInitialize,
    TextField,
} from './FivePluginApi';

import { CustomFieldProps } from '../../../common';

FiveInitialize();

const CustomField = (props: CustomFieldProps) => {
    const { theme, value, onValueUpdated, variant } = props;

    return <ThemeProvider theme={theme}>
        <TextField fullWidth variant={variant} value={value} onChange={e => onValueUpdated(e.target.value)} />
    </ThemeProvider>
}

export default CustomField;
